﻿using System;
using System.Linq;
using System.Windows.Forms;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls.UI.Docking;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            new RadControlSpyForm().Show();
            this.radDock1.DockStateChanged += new Telerik.WinControls.UI.Docking.DockWindowEventHandler(radDock1_DockStateChanged);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            toolWindow1.ToolCaptionButtons = ~ToolStripCaptionButtons.Close;
        }
        
        private void HideCloseButton(ToolWindow toolWindow)
        {
            if (toolWindow.DockState == DockState.Docked)
            {
                toolWindow.ToolCaptionButtons = ~ToolStripCaptionButtons.Close;
            }
            else if (toolWindow.DockState == DockState.Floating)
            {
                toolWindow.FloatingParent.FormElement.TitleBar.CloseButton.Visibility = Telerik.WinControls.ElementVisibility.Collapsed;
            }
        }

        void radDock1_DockStateChanged(object sender, Telerik.WinControls.UI.Docking.DockWindowEventArgs e)
        {
            if (e.DockWindow.Equals(toolWindow1))
            {
                HideCloseButton(toolWindow1);
            }
        }
    }
}
